Tesseract 3.02

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
svshowim.h File Reference
`#include "host.h"`
`#include "img.h"`

Go to the source code of this file.

## Functions

void | sv_show_sub_image (IMAGE *source, inT32 xstart, inT32 ystart, inT32 xext, inT32 yext, ScrollView *win, inT32 xpos, inT32 ypos)

## Function Documentation

void sv_show_sub_image | ( | IMAGE * | source,
|  | inT32 | xstart,
|  | inT32 | ystart,
|  | inT32 | xext,
|  | inT32 | yext,
|  | ScrollView * | win,
|  | inT32 | xpos,
|  | inT32 | ypos
| ) |  |

Definition at line 19 of file svshowim.cpp.

{ // Y position.
Pix* pix;
if (xstart != 0 || ystart != 0 ||
xext != source->get_xsize() || yext != source->get_ysize()) {
IMAGE sub_im;
sub_im.create(xext, yext, source->get_bpp());
copy_sub_image(source, xstart, ystart, xext, yext, &sub_im, 0, 0, false);
pix = sub_im.ToPix();
} else {
pix = source->ToPix();
}
window->Image(pix, xpos, window->TranslateYCoordinate(yext) + ypos);
pixDestroy(&pix);
}